Summary:    Single sign-on framework for GNOME
Name:       gnome-online-accounts
Version:    3.48.0
Release:    4%{?dist}
License:    LGPLv2+
%define maj_ver %(echo %{version} | cut -d. -f1)
%define min_ver %(echo %{version} | cut -d. -f2)
URL:        https://wiki.gnome.org/Projects/GnomeOnlineAccounts
Source0:    https://download.gnome.org/sources/gnome-online-accounts/%{maj_ver}.%{min_ver}/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(gcr-3) pkgconfig(gio-2.0) pkgconfig(glib-2.0) pkgconfig(gobject-2.0) pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(gtk+-3.0) pkgconfig(gobject-introspection-1.0) pkgconfig(webkit2gtk-4.1)
BuildRequires: pkgconfig(json-glib-1.0) pkgconfig(libsecret-1) pkgconfig(libsoup-3.0) pkgconfig(rest-1.0)
BuildRequires: gettext krb5-devel meson vala docbook-style-xsl libxslt

Requires:      glib2 gtk3 libsoup3 webkit2gtk4.1

%description
GNOME Online Accounts provides interfaces so that applications and libraries in GNOME can access the user's online accounts.
It has providers for Google, Nextcloud, Flickr, Foursquare, Microsoft Account, Microsoft Exchange, IMAP/SMTP and Kerberos.

%package devel
Summary:     Development files for %{name}
Requires:    %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for developing applications that use %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson \
  -Dexchange=true \
  -Dgoogle=true \
  -Dimap_smtp=true \
  -Dkerberos=true \
  -Dlastfm=false \
  -Dmedia_server=false \
  -Downcloud=true \
  -Dwindows_live=true \
  -Dman=true \
  %{nil}

%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc COPYING
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Goa-1.0.typelib
%{_libdir}/libgoa-1.0.so.0
%{_libdir}/libgoa-1.0.so.0.0.0
%{_libdir}/libgoa-backend-1.0.so.1
%{_libdir}/libgoa-backend-1.0.so.1.0.0
%dir %{_libdir}/goa-1.0
%dir %{_libdir}/goa-1.0/web-extensions
%{_libdir}/goa-1.0/web-extensions/libgoawebextension.so
%{_prefix}/libexec/goa-daemon
%{_prefix}/libexec/goa-identity-service
%{_datadir}/dbus-1/services/org.gnome.OnlineAccounts.service
%{_datadir}/dbus-1/services/org.gnome.Identity.service
%{_datadir}/icons/hicolor/*/apps/goa-*.svg
%{_datadir}/glib-2.0/schemas/org.gnome.online-accounts.gschema.xml
%{_datadir}/man/man8/goa-daemon.8*

%files devel
%{_includedir}/goa-1.0/
%{_libdir}/libgoa-1.0.so
%{_libdir}/libgoa-backend-1.0.so
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Goa-1.0.gir
%{_libdir}/pkgconfig/goa-1.0.pc
%{_libdir}/pkgconfig/goa-backend-1.0.pc
%{_libdir}/goa-1.0/include
%{_datadir}/vala/

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.48.0-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.48.0-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.48.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 kianli <kianli@tencent.com> - 3.48.0-1
- Upgrade to 3.48.0

* Mon Jul 24 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.46.0-4
- Rebuilt for webkitgtk 2.41.6

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.46.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.46.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 7 2022 Shuo Wang <abushwang@tencent.com> - 3.46.0-1
- initial build

